package fr.openium.consentium_ui.ui.components

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import fr.openium.consentium_ui.ui.components.style.ConsentiumUITheme

@Composable
internal fun ConsentiumUIErrorComponent(
    errorMessage: String,
) {
    Column(
        modifier = Modifier.fillMaxSize(),
        verticalArrangement = Arrangement.Center,
        horizontalAlignment = Alignment.CenterHorizontally,
    ) {
        Text(
            text = errorMessage,
            color = ConsentiumUITheme.colors.error,
            style = ConsentiumUITheme.typography.b2,
        )
    }
}