package fr.openium.consentium.data.remote

import fr.openium.consentium.data.remote.model.GetConsent
import fr.openium.consentium.data.remote.model.PatchConsent
import retrofit2.Response
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.PATCH


internal interface ConsentiumApi {

    @GET("/consents")
    suspend fun getConsents(
        applicationId: String,
        installationId: String,
    ): Response<GetConsent.GetConsentPayloadDTO>

    @PATCH("/consents")
    suspend fun setConsents(
        applicationId: String,
        @Body patchConsent: PatchConsent.PatchConsentPayloadDTO,
    ): Response<Any>

}