package fr.openium.consentium.data.remote.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

internal sealed interface GetConsent {

    @Serializable
    data class GetConsentPayloadDTO(
        @SerialName("installationId") val installationId: String,
        @SerialName("purposes") val purposes: List<PurposeDTO>? = null,
        @SerialName("isValid") val isValid: Boolean,
    )

    @Serializable
    data class PurposeDTO(
        @SerialName("identifier") val identifier: String,
        @SerialName("isRequired") val isRequired: Boolean,
        @SerialName("isAccepted") val isAccepted: PurposeStatusDTO,
        @SerialName("vendors") val vendors: List<VendorDTO>? = null,
    )

    @Serializable
    data class VendorDTO(
        @SerialName("identifier") val identifier: String,
        @SerialName("isRequired") val isRequired: Boolean,
        @SerialName("isAccepted") val isAccepted: Boolean,
    )

    @Serializable
    enum class PurposeStatusDTO {
        @SerialName("ACCEPTED")
        ACCEPTED,

        @SerialName("REJECTED")
        REJECTED,

        @SerialName("NOT_DEFINED")
        NOT_DEFINED,
    }

}


