package fr.openium.consentium.data.remote.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

internal sealed interface PatchConsent {

    @Serializable
    data class PatchConsentPayloadDTO(
        @SerialName("installationId") val installationId: String,
        @SerialName("purposes") val purposes: List<PurposeDTO>? = null,
    )

    @Serializable
    data class PurposeDTO(
        @SerialName("identifier") val identifier: String,
        @SerialName("isAccepted") val isAccepted: Boolean,
        @SerialName("vendors") val vendors: List<VendorDTO>? = null,
    )

    @Serializable
    data class VendorDTO(
        @SerialName("identifier") val identifier: String,
        @SerialName("isAccepted") val isAccepted: Boolean,
    )

}
